# Interface RuleModel

public interface RuleModel
RuleModel.

Version:
  $Id: RuleModel.java 182 2006-01-23 21:24:01Z rambaut $
Author:
  Andrew Rambaut

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getConditions(Object field)`
Returns an array of strings to be presented as a combo box which are possible rule conditions for the specified field.
`Object[]`
`getFields()`
Returns an array of strings to be presented as a combo box which are available fields to define rules on.
`Object[]`
`getValues(Object field, Object condition)`
Returns an array of strings to be presented as a combo box which are possible values for the field.

## Method Details

### getFields

Object[] getFields()
Returns an array of strings to be presented as a combo box which are available fields to define rules on.

Returns:
  the field names

### getConditions

Object[] getConditions(Object field)
Returns an array of strings to be presented as a combo box which are possible rule conditions for the specified field.

Returns:
  the condition names

### getValues

Object[] getValues(Object field, Object condition)
Returns an array of strings to be presented as a combo box which are possible values for the field. Should return null if a text box is required.

Returns:
  the values